Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Functions
docqual.cpp File Reference
`#include "mfcpch.h"`
`#include <ctype.h>`
`#include "docqual.h"`
`#include "tfacep.h"`
`#include "reject.h"`
`#include "tesscallback.h"`
`#include "tessvars.h"`
`#include "secname.h"`
`#include "globals.h"`
`#include "tesseractclass.h"`

Go to the source code of this file.

## Classes

struct | tesseract::DocQualCallbacks

## Namespaces

namespace | tesseract

## Functions

void | reject_whole_page (PAGE_RES_IT &page_res_it)

## Function Documentation

void reject_whole_page | ( | PAGE_RES_IT & | page_res_it | ) |

Definition at line 413 of file docqual.cpp.

{
page_res_it.restart_page ();
while (page_res_it.word () != NULL) {
page_res_it.word ()->reject_map.rej_word_doc_rej ();
page_res_it.forward ();
}
//whole page is rejected
page_res_it.page_res->rejected = TRUE;
}